Bug 65818 - Nautilus dies with an X error on some servers
Summary: Nautilus dies with an X error on some servers
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: nautilus   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 67218 79579 CambridgeTarget
TreeView+ depends on / blocked
 
Reported: 2002-06-01 00:07 UTC by Alan Cox
Modified: 2007-04-18 16:42 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-07 10:47:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alan Cox 2002-06-01 00:07:22 UTC
Easiest one I've found showing this is Xnest ...

SESSION_MANAGER=local/ZenIII.linux.org.uk:/tmp/.ICE-unix/6679
Gdk-ERROR **: BadAlloc (insufficient resources for operation)
  serial 164 error_code 11 request_code 45 minor_code 0
Gnome-Message: gnome_execute_async_with_env_fds: returning -1

Gtk-WARNING **: gtk_signal_disconnect_by_data(): could not find handler
containing data (0x81A89C0)
Gdk-ERROR **: BadAlloc (insufficient resources for operation)
  serial 1780 error_code 11 request_code 45 minor_code 0


It blows up opening a file view - the top level and icons seems fine

Comment 1 Havoc Pennington 2002-06-09 14:55:48 UTC
The error there is just "server out of memory" ... most apps don't handle that
error. Well, nearly all apps handle it the same way they handle malloc()
failure, by exiting.

Comment 2 Alan Cox 2002-06-09 22:18:13 UTC
Seems unlikely - the machine had about 512Mb of unused swap at the time.


Comment 3 Havoc Pennington 2002-07-07 02:52:38 UTC
Maybe Nautilus somehow tries to create a 30000 by 30000 pixmap or something.

Need to get a backtrace with --sync.


Comment 4 Alan Cox 2003-08-07 10:47:43 UTC
With both sides now running RH8/9 it works


Note You need to log in before you can comment on or make changes to this bug.